Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messageproducers
Class MessageProducerImpl

    java.lang.Object
      net.sf.dropboxmq.messageproducers.MessageProducerImpl

All Implemented Interfaces:
  MessageProducer

Direct Known Subclasses:
  QueueSenderImpl, TopicPublisherImpl

    public abstract class MessageProducerImpl

extends Object
implements MessageProducer

Created: 10 Mar 2006

Version:
  $Revision: 211 $, $Date: 2010-11-14 14:21:24 -0700 (Sun, 14 Nov 2010) $
Author:
  Dwayne Schultz

Constructor Summary
`protected` | `MessageProducerImpl(SessionImpl session, Destination defaultDestination)`

Method Summary
`void` | `close()` Closes the message producer.
`int` | `getDeliveryMode()` Gets the producer's default delivery mode.
`protected static String` | `getDeliveryModeString(int deliveryMode)`
`Destination` | `getDestination()` Gets the destination associated with this `MessageProducer`.
`boolean` | `getDisableMessageID()` Gets an indication of whether message IDs are disabled.
`boolean` | `getDisableMessageTimestamp()` Gets an indication of whether message timestamps are disabled.
`int` | `getPriority()` Gets the producer's default priority.
`long` | `getTimeToLive()` Gets the default length of time in milliseconds from its dispatch time that a produced message should be retained by the message system.
`void` | `send(Destination destination, Message message)` Sends a message to a destination for an unidentified message producer.
`void` | `send(Destination destination, Message message, int deliveryMode, int priority, long timeToLive)` Sends a message to a destination for an unidentified message producer, specifying delivery mode, priority and time to live.
`void` | `send(Message message)` Sends a message using the `MessageProducer`'s default delivery mode, priority, and time to live.
`void` | `send(Message message, int deliveryMode, int priority, long timeToLive)` Sends a message to the destination, specifying delivery mode, priority, and time to live.
`void` | `setDeliveryMode(int deliveryMode)` Sets the producer's default delivery mode.
`void` | `setDisableMessageID(boolean disableMessageID)` Sets whether message IDs are disabled.
`void` | `setDisableMessageTimestamp(boolean disableMessageTimestamp)` Sets whether message timestamps are disabled.
`void` | `setPriority(int defaultPriority)` Sets the producer's default priority.
`void` | `setTimeToLive(long defaultTimeToLive)` Sets the default length of time in milliseconds from its dispatch time that a produced message should be retained by the message system.
`protected String` | `toObjectString()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageProducerImpl

    protected MessageProducerImpl(SessionImpl session,
                                  Destination defaultDestination)

Method Detail

### setDisableMessageID

    public void setDisableMessageID(boolean disableMessageID)
                             throws JMSException

  Description copied from interface: `javax.jms.MessageProducer`
  Sets whether message IDs are disabled.

  Since message IDs take some effort to create and increase a message's size, some JMS providers may be able to optimize message overhead if they are given a hint that the message ID is not used by an application. By calling the `setDisableMessageID` method on this message producer, a JMS client enables this potential optimization for all messages sent by this message producer. If the JMS provider accepts this hint, these messages must have the message ID set to null; if the provider ignores the hint, the message ID must be set to its normal unique value.

  Message IDs are enabled by default.

  Specified by:
    `setDisableMessageID` in interface `MessageProducer`
  Parameters:
    `disableMessageID` - indicates if message IDs are disabled
  Throws:
    `JMSException` - if the JMS provider fails to set message ID to disabled due to some internal error.

### getDisableMessageID

    public boolean getDisableMessageID()
                                throws JMSException

  Description copied from interface: `javax.jms.MessageProducer`
  Gets an indication of whether message IDs are disabled.

  Specified by:
    `getDisableMessageID` in interface `MessageProducer`
  Returns:
    an indication of whether message IDs are disabled
  Throws:
    `JMSException` - if the JMS provider fails to determine if message IDs are disabled due to some internal error.

### setDisableMessageTimestamp

    public void setDisableMessageTimestamp(boolean disableMessageTimestamp)
                                    throws JMSException

  Description copied from interface: `javax.jms.MessageProducer`
  Sets whether message timestamps are disabled.

  Since timestamps take some effort to create and increase a message's size, some JMS providers may be able to optimize message overhead if they are given a hint that the timestamp is not used by an application. By calling the `setDisableMessageTimestamp` method on this message producer, a JMS client enables this potential optimization for all messages sent by this message producer. If the JMS provider accepts this hint, these messages must have the timestamp set to zero; if the provider ignores the hint, the timestamp must be set to its normal value.

  Message timestamps are enabled by default.

  Specified by:
    `setDisableMessageTimestamp` in interface `MessageProducer`
  Parameters:
    `disableMessageTimestamp` - indicates if message timestamps are disabled
  Throws:
    `JMSException` - if the JMS provider fails to set timestamps to disabled due to some internal error.

### getDisableMessageTimestamp

    public boolean getDisableMessageTimestamp()
                                       throws JMSException

  Description copied from interface: `javax.jms.MessageProducer`
  Gets an indication of whether message timestamps are disabled.

  Specified by:
    `getDisableMessageTimestamp` in interface `MessageProducer`
  Returns:
    an indication of whether message timestamps are disabled
  Throws:
    `JMSException` - if the JMS provider fails to determine if timestamps are disabled due to some internal error.

### setDeliveryMode

    public void setDeliveryMode(int deliveryMode)
                         throws JMSException

  Description copied from interface: `javax.jms.MessageProducer`
  Sets the producer's default delivery mode.

  Delivery mode is set to `PERSISTENT` by default.

  Specified by:
    `setDeliveryMode` in interface `MessageProducer`
  Parameters:
    `deliveryMode` - the message delivery mode for this message producer; legal values are `DeliveryMode.NON_PERSISTENT` and `DeliveryMode.PERSISTENT`
  Throws:
    `JMSException` - if the JMS provider fails to set the delivery mode due to some internal error.
  See Also:
    `MessageProducer.getDeliveryMode()`, `DeliveryMode.NON_PERSISTENT`, `DeliveryMode.PERSISTENT`, `Message.DEFAULT_DELIVERY_MODE`

### getDeliveryModeString

    protected static String getDeliveryModeString(int deliveryMode)

### getDeliveryMode

    public int getDeliveryMode()
                        throws JMSException

  Description copied from interface: `javax.jms.MessageProducer`
  Gets the producer's default delivery mode.

  Specified by:
    `getDeliveryMode` in interface `MessageProducer`
  Returns:
    the message delivery mode for this message producer
  Throws:
    `JMSException` - if the JMS provider fails to get the delivery mode due to some internal error.
  See Also:
    `MessageProducer.setDeliveryMode(int)`

### setPriority

    public void setPriority(int defaultPriority)
                     throws JMSException

  Description copied from interface: `javax.jms.MessageProducer`
  Sets the producer's default priority.

  The JMS API defines ten levels of priority value, with 0 as the lowest priority and 9 as the highest. Clients should consider priorities 0-4 as gradations of normal priority and priorities 5-9 as gradations of expedited priority. Priority is set to 4 by default.

  Specified by:
    `setPriority` in interface `MessageProducer`
  Parameters:
    `defaultPriority` - the message priority for this message producer; must be a value between 0 and 9
  Throws:
    `JMSException` - if the JMS provider fails to set the priority due to some internal error.
  See Also:
    `MessageProducer.getPriority()`, `Message.DEFAULT_PRIORITY`

### getPriority

    public int getPriority()
                    throws JMSException

  Description copied from interface: `javax.jms.MessageProducer`
  Gets the producer's default priority.

  Specified by:
    `getPriority` in interface `MessageProducer`
  Returns:
    the message priority for this message producer
  Throws:
    `JMSException` - if the JMS provider fails to get the priority due to some internal error.
  See Also:
    `MessageProducer.setPriority(int)`

### setTimeToLive

    public void setTimeToLive(long defaultTimeToLive)
                       throws JMSException

  Description copied from interface: `javax.jms.MessageProducer`
  Sets the default length of time in milliseconds from its dispatch time that a produced message should be retained by the message system.

  Time to live is set to zero by default.

  Specified by:
    `setTimeToLive` in interface `MessageProducer`
  Parameters:
    `defaultTimeToLive` - the message time to live in milliseconds; zero is unlimited
  Throws:
    `JMSException` - if the JMS provider fails to set the time to live due to some internal error.
  See Also:
    `MessageProducer.getTimeToLive()`, `Message.DEFAULT_TIME_TO_LIVE`

### getTimeToLive

    public long getTimeToLive()
                       throws JMSException

  Description copied from interface: `javax.jms.MessageProducer`
  Gets the default length of time in milliseconds from its dispatch time that a produced message should be retained by the message system.

  Specified by:
    `getTimeToLive` in interface `MessageProducer`
  Returns:
    the message time to live in milliseconds; zero is unlimited
  Throws:
    `JMSException` - if the JMS provider fails to get the time to live due to some internal error.
  See Also:
    `MessageProducer.setTimeToLive(long)`

### getDestination

    public Destination getDestination()
                               throws JMSException

  Description copied from interface: `javax.jms.MessageProducer`
  Gets the destination associated with this `MessageProducer`.

  Specified by:
    `getDestination` in interface `MessageProducer`
  Returns:
    this producer's `Destination/```
  Throws:
    `JMSException` - if the JMS provider fails to get the destination for this `MessageProducer` due to some internal error.

### close

    public void close()
               throws JMSException

  Description copied from interface: `javax.jms.MessageProducer`
  Closes the message producer.

  Since a provider may allocate some resources on behalf of a `MessageProducer` outside the Java virtual machine, clients should close them when they are not needed. Relying on garbage collection to eventually reclaim these resources may not be timely enough.

  Specified by:
    `close` in interface `MessageProducer`
  Throws:
    `JMSException` - if the JMS provider fails to close the producer due to some internal error.

### send

    public void send(Message message)
              throws JMSException

  Description copied from interface: `javax.jms.MessageProducer`
  Sends a message using the `MessageProducer`'s default delivery mode, priority, and time to live.

  Specified by:
    `send` in interface `MessageProducer`
  Parameters:
    `message` - the message to send
  Throws:
    `JMSException` - if the JMS provider fails to send the message due to some internal error.
    `MessageFormatException` - if an invalid message is specified.
  See Also:
    `Session.createProducer(javax.jms.Destination)`, `MessageProducer`

### send

    public void send(Message message,
                     int deliveryMode,
                     int priority,
                     long timeToLive)
              throws JMSException

  Description copied from interface: `javax.jms.MessageProducer`
  Sends a message to the destination, specifying delivery mode, priority, and time to live.

  Specified by:
    `send` in interface `MessageProducer`
  Parameters:
    `message` - the message to send
    `deliveryMode` - the delivery mode to use
    `priority` - the priority for this message
    `timeToLive` - the message's lifetime (in milliseconds)
  Throws:
    `JMSException` - if the JMS provider fails to send the message due to some internal error.
    `MessageFormatException` - if an invalid message is specified.
  See Also:
    `Session.createProducer(javax.jms.Destination)`

### send

    public void send(Destination destination,
                     Message message)
              throws JMSException

  Description copied from interface: `javax.jms.MessageProducer`
  Sends a message to a destination for an unidentified message producer. Uses the `MessageProducer`'s default delivery mode, priority, and time to live.

  Typically, a message producer is assigned a destination at creation time; however, the JMS API also supports unidentified message producers, which require that the destination be supplied every time a message is sent.

  Specified by:
    `send` in interface `MessageProducer`
  Parameters:
    `destination` - the destination to send this message to
    `message` - the message to send
  Throws:
    `JMSException` - if the JMS provider fails to send the message due to some internal error.
    `MessageFormatException` - if an invalid message is specified.
  See Also:
    `Session.createProducer(javax.jms.Destination)`, `MessageProducer`

### send

    public void send(Destination destination,
                     Message message,
                     int deliveryMode,
                     int priority,
                     long timeToLive)
              throws JMSException

  Description copied from interface: `javax.jms.MessageProducer`
  Sends a message to a destination for an unidentified message producer, specifying delivery mode, priority and time to live.

  Typically, a message producer is assigned a destination at creation time; however, the JMS API also supports unidentified message producers, which require that the destination be supplied every time a message is sent.

  Specified by:
    `send` in interface `MessageProducer`
  Parameters:
    `destination` - the destination to send this message to
    `message` - the message to send
    `deliveryMode` - the delivery mode to use
    `priority` - the priority for this message
    `timeToLive` - the message's lifetime (in milliseconds)
  Throws:
    `JMSException` - if the JMS provider fails to send the message due to some internal error.
    `MessageFormatException` - if an invalid message is specified.
  See Also:
    `Session.createProducer(javax.jms.Destination)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toObjectString

    protected final String toObjectString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD